[messages] [Technical Support & Bugs] Vassal 3.2.2 on Mac OS X won't start

Joel Uckelman uckelman at nomic.net
Tue Feb 26 14:30:06 MST 2013


Thus spake Joel Uckelman:
> Thus spake Joel Uckelman:
> > Thus spake dhurtt:
> > > Is there something other than PATH that the Mac version needs? I can go
> > > into Terminal and launch VASSAL.sh without a problem now, but the Mac
> > > version continues to fail to launch.
> > 
> > I don't know. JavaApplicationStub inside the Mac bundle is what starts
> > java. If you can't start VASSAL from the Mac bundle, then my best guess
> > is that JavaApplicationStub is not finding java. JavaApplicationStub is
> > something provided by Apple---it's not ours. So I don't know where it
> > looks for java.
> > 
> > Ah, just found this:
> > 
> >   http://lists.apple.com/archives/java-dev/2012/Apr/msg00114.html
> > 
> > Bugger. It looks like JavaApplicationStub doesn't work with Java 7,
> > and the solution is... to bundle a JRE with your app. Gah! The
> > situation with Java gets worse by the day.
> > 
> > I'm not sure what to do about this.
> 
> I'm going to try doing a build with AppBundler:
> 
>   http://java.net/projects/appbundler/downloads
>   
> I'll get back to you this evening with a new build of VASSAL to test.
>

Does this app bundle run for you?

  http://www.vassalengine.org/~uckelman/builds/VASSAL-3.2.3-svn8561-btest-macosx.dmg

(BTW, I'd appreciate having reports about this particular bundle from
people running Java 5, Java 6, and Java 7 on MacOS X. It's intended to
work on all three, and I'd like to get confirmation that it does.)

-- 
J.


More information about the messages mailing list